Show / Hide Table of Contents

# IUniTaskAsyncEnumerator<T> Interface

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public interface IUniTaskAsyncEnumerator<out T> : IUniTaskAsyncDisposable

#### Type Parameters

`T`

### Members

#### Properties

Name | Description
--- | ---
Current |

#### Methods

Name | Description
--- | ---
MoveNextAsync() |

### Properties

#### Current

    T Current { get; }

##### Property Value

T

### Methods

#### MoveNextAsync()

    UniTask<bool> MoveNextAsync()

##### Returns

UniTask<System.Boolean>